Skip to main content
GET
List Quote Executions
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

profile_id
string
required

The profile ID associated with the orders.

Query Parameters

side
enum<string>

Filter by buy or sell side.

Available options:
BUY,
SELL
market
enum<string>

Filter by the trading pair.

Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD,
POLUSD,
XLMUSD,
BNBUSD
status
enum<string>

Filter by the status of the order.

Available options:
CREATED,
SETTLED
created_at.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Default order is descending (DESC).

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Cursor token for fetching the next page. If using this then do not use pagination.limit and pagination.offset fields.

Response

200 - application/json

A successful response.

total_count
integer<int32>
items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.